Skip to main content
POST
/
api
/
v1
/
org
/
executions
/
cancel
Cancel a batch of executions
import requests

url = "https://platform.ankra.app/api/v1/org/executions/cancel"

payload = { "execution_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({execution_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};

fetch('https://platform.ankra.app/api/v1/org/executions/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request POST \
--url https://platform.ankra.app/api/v1/org/executions/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"execution_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'
{
  "cancelled": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "not_found": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "not_running": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Body

application/json
execution_ids
string<uuid>[]
required

Response

Successful Response

cancelled
string<uuid>[]
required
not_found
string<uuid>[]
required
not_running
string<uuid>[]
required